org.apache.ignite.plugin.security

## Interface GridSecurityPermissionSet

All Superinterfaces:
  Serializable

    public interface GridSecurityPermissionSet
    extends Serializable

Security permission set for authorized security subjects. Permission set allows to specify task permissions for every task and cache permissions for every cache. While cards are supported at the end of task or cache name.

Property `defaultAllowAll()` specifies whether to allow or deny cache and task operations if they were not explicitly specified.

### Method Summary

Methods
`Map<String,Collection<GridSecurityPermission>>` `cachePermissions()` Map of cache names to cache permissions.
`boolean` `defaultAllowAll()` Flag indicating whether to allow or deny cache and task operations if they were not explicitly specified.
`Collection<GridSecurityPermission>` `systemPermissions()` Collection of system-wide permissions (events enable/disable, Visor task execution).
`Map<String,Collection<GridSecurityPermission>>` `taskPermissions()` Map of task names to task permissions.

### Method Detail

#### defaultAllowAll

    boolean defaultAllowAll()

Flag indicating whether to allow or deny cache and task operations if they were not explicitly specified.

Returns:
  `True` to allow all cache task operations if they were not explicitly specified, `false` otherwise.

#### taskPermissions

    Map<String,Collection<GridSecurityPermission>> taskPermissions()

Map of task names to task permissions. Wildcards are allowed at the end of task names.

Returns:
  Map of task names to task permissions.

#### cachePermissions

    Map<String,Collection<GridSecurityPermission>> cachePermissions()

Map of cache names to cache permissions. Wildcards are allowed at the end of cache names.

Returns:
  Map of cache names to cache permissions.

#### systemPermissions

    @Nullable
    Collection<GridSecurityPermission> systemPermissions()

Collection of system-wide permissions (events enable/disable, Visor task execution).

Returns:
  Collection of system-wide permissions.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015